#pragma once
#include "SimulationParametersDTO.h"
#include "SimulationController.h"


#include "AbstractAction.h"


class StartSimulationAction: virtual public AbstractAction
{
public:
	void setSimulationParametersDTO(SimulationParametersDTO *_simulationParameterDTO);
	SimulationParametersDTO* getSimulationParametersDTO();
	void AbstractAction::execute();
	void setSimulationController(SimulationController *_simulationController);
private:
	SimulationParametersDTO* simulationParameterDTO;
	SimulationController* simulationController;
};